Botan 1.10.17

Public Member Functions | List of all members
Botan::Cert_Extension::Issuer_Alternative_Name Class Reference

`#include <x509_ext.h>`

Inheritance diagram for Botan::Cert_Extension::Issuer_Alternative_Name:

## Public Member Functions
Issuer_Alternative_Name * | copy () const
AlternativeName | get_alt_name () const
| Issuer_Alternative_Name (const AlternativeName &=AlternativeName())
OID | oid_of () const

## Detailed Description

Issuer Alternative Name Extension

Definition at line 230 of file x509_ext.h.

## Constructor & Destructor Documentation

## ◆ Issuer_Alternative_Name()

Botan::Cert_Extension::Issuer_Alternative_Name::Issuer_Alternative_Name | ( | const AlternativeName & | name = `AlternativeName()` | ) |

Definition at line 400 of file x509_ext.cpp.

400 :
401 Alternative_Name(name, "X509v3.IssuerAlternativeName",
402 "issuer_alternative_name")
403 {
404 }
Botan::Cert_Extension::Alternative_Name::Alternative_Name
Alternative_Name(const AlternativeName &, const std::string &, const std::string &)
Definition: x509_ext.cpp:377

## Member Function Documentation

## ◆ copy()

Issuer_Alternative_Name* Botan::Cert_Extension::Issuer_Alternative_Name::copy | ( |  | ) | const
| inline virtual

Make a copy of this extension

Returns
  copy of this

Implements Botan::Certificate_Extension.

Definition at line 233 of file x509_ext.h.

234 { return new Issuer_Alternative_Name(get_alt_name()); }
Botan::Cert_Extension::Issuer_Alternative_Name::Issuer_Alternative_Name
Issuer_Alternative_Name(const AlternativeName &=AlternativeName())
Definition: x509_ext.cpp:400
Botan::Cert_Extension::Alternative_Name::get_alt_name
AlternativeName get_alt_name() const
Definition: x509_ext.h:195

## ◆ get_alt_name()

AlternativeName Botan::Cert_Extension::Alternative_Name::get_alt_name | ( |  | ) | const
| inline inherited

Definition at line 195 of file x509_ext.h.

195 { return alt_name; }

## ◆ oid_of()

OID Botan::Certificate_Extension::oid_of | ( |  | ) | const
| inherited

Returns
  OID representing this extension

Definition at line 72 of file x509_ext.cpp.

References Botan::OIDS::lookup(), and Botan::Certificate_Extension::oid_name().

Referenced by Botan::Extensions::encode_into().

73 {
74 return OIDS::lookup(oid_name());
75 }
Botan::Certificate_Extension::oid_name
virtual std::string oid_name() const =0
Botan::OIDS::lookup
std::string lookup(const OID &oid)
Definition: oids.cpp:31

The documentation for this class was generated from the following files:

- src/cert/x509cert/x509_ext.h
- src/cert/x509cert/x509_ext.cpp